# NOTE: This file is auto-generated. Do not modify.

load ../common

setup () {
    [[ $CH_BUILDER = ch-image ]] || skip 'ch-image only'
}


@test "ch-image --force: centos:7, unneeded fail, w/o --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM centos:7
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: rhel7"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: centos:7, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: centos:7, unneeded fail, with --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM centos:7
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: rhel7"

}

# skip: centos:7, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: centos:7, unneeded win, w/o --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM centos:7
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: rhel7"

}

# skip: centos:7, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: centos:7, unneeded win, with --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM centos:7
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel7"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: centos:7, unneeded win, with --force, preprep: not needed

@test "ch-image --force: centos:7, fake needed, w/o --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM centos:7
RUN yum install -y ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: rhel7"
echo "$output" | grep -Eq -- "RUN: available here with --force"

}

# skip: centos:7, fake needed, w/o --force, preprep: not needed

@test "ch-image --force: centos:7, fake needed, with --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM centos:7
RUN yum install -y ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel7"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: centos:7, fake needed, with --force, preprep: not needed

@test "ch-image --force: centos:7, needed, w/o --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM centos:7
RUN yum install -y openssh
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: rhel7"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: centos:7, needed, w/o --force, preprep: not needed

@test "ch-image --force: centos:7, needed, with --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM centos:7
RUN yum install -y openssh
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel7"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

@test "ch-image --force: centos:7, needed, with --force, preprep" {
scope standard

# build 1: intermediate image for preparatory commands
run ch-image -v build -t tmpimg -f - . << 'EOF'
FROM centos:7
RUN yum install -y epel-release
EOF
echo "$output"
[[ $status -eq 0 ]]


# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM tmpimg
RUN yum install -y openssh
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel7"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

@test "ch-image --force: centos:8, unneeded fail, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM centos:8
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: centos:8, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: centos:8, unneeded fail, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM centos:8
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"

}

# skip: centos:8, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: centos:8, unneeded win, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM centos:8
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"

}

# skip: centos:8, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: centos:8, unneeded win, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM centos:8
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: centos:8, unneeded win, with --force, preprep: not needed

@test "ch-image --force: centos:8, fake needed, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM centos:8
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"
echo "$output" | grep -Eq -- "RUN: available here with --force"

}

# skip: centos:8, fake needed, w/o --force, preprep: not needed

@test "ch-image --force: centos:8, fake needed, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM centos:8
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: centos:8, fake needed, with --force, preprep: not needed

@test "ch-image --force: centos:8, needed, w/o --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM centos:8
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: centos:8, needed, w/o --force, preprep: not needed

@test "ch-image --force: centos:8, needed, with --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM centos:8
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

@test "ch-image --force: centos:8, needed, with --force, preprep" {
scope standard

# build 1: intermediate image for preparatory commands
run ch-image -v build -t tmpimg -f - . << 'EOF'
FROM centos:8
RUN dnf install -y epel-release
EOF
echo "$output"
[[ $status -eq 0 ]]


# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM tmpimg
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

@test "ch-image --force: quay.io/centos/centos:stream8, unneeded fail, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM quay.io/centos/centos:stream8
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: quay.io/centos/centos:stream8, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: quay.io/centos/centos:stream8, unneeded fail, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM quay.io/centos/centos:stream8
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"

}

# skip: quay.io/centos/centos:stream8, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: quay.io/centos/centos:stream8, unneeded win, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM quay.io/centos/centos:stream8
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"

}

# skip: quay.io/centos/centos:stream8, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: quay.io/centos/centos:stream8, unneeded win, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM quay.io/centos/centos:stream8
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: quay.io/centos/centos:stream8, unneeded win, with --force, preprep: not needed

@test "ch-image --force: quay.io/centos/centos:stream8, fake needed, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM quay.io/centos/centos:stream8
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"
echo "$output" | grep -Eq -- "RUN: available here with --force"

}

# skip: quay.io/centos/centos:stream8, fake needed, w/o --force, preprep: not needed

@test "ch-image --force: quay.io/centos/centos:stream8, fake needed, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM quay.io/centos/centos:stream8
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: quay.io/centos/centos:stream8, fake needed, with --force, preprep: not needed

@test "ch-image --force: quay.io/centos/centos:stream8, needed, w/o --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM quay.io/centos/centos:stream8
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: quay.io/centos/centos:stream8, needed, w/o --force, preprep: not needed

@test "ch-image --force: quay.io/centos/centos:stream8, needed, with --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM quay.io/centos/centos:stream8
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: quay.io/centos/centos:stream8, needed, with --force, preprep: no preprep command

@test "ch-image --force: registry.access.redhat.com/ubi8/ubi, unneeded fail, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM registry.access.redhat.com/ubi8/ubi
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: registry.access.redhat.com/ubi8/ubi, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: registry.access.redhat.com/ubi8/ubi, unneeded fail, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM registry.access.redhat.com/ubi8/ubi
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"

}

# skip: registry.access.redhat.com/ubi8/ubi, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: registry.access.redhat.com/ubi8/ubi, unneeded win, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM registry.access.redhat.com/ubi8/ubi
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"

}

# skip: registry.access.redhat.com/ubi8/ubi, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: registry.access.redhat.com/ubi8/ubi, unneeded win, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM registry.access.redhat.com/ubi8/ubi
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: registry.access.redhat.com/ubi8/ubi, unneeded win, with --force, preprep: not needed

@test "ch-image --force: registry.access.redhat.com/ubi8/ubi, fake needed, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM registry.access.redhat.com/ubi8/ubi
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"
echo "$output" | grep -Eq -- "RUN: available here with --force"

}

# skip: registry.access.redhat.com/ubi8/ubi, fake needed, w/o --force, preprep: not needed

@test "ch-image --force: registry.access.redhat.com/ubi8/ubi, fake needed, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM registry.access.redhat.com/ubi8/ubi
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: registry.access.redhat.com/ubi8/ubi, fake needed, with --force, preprep: not needed

@test "ch-image --force: registry.access.redhat.com/ubi8/ubi, needed, w/o --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM registry.access.redhat.com/ubi8/ubi
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: registry.access.redhat.com/ubi8/ubi, needed, w/o --force, preprep: not needed

@test "ch-image --force: registry.access.redhat.com/ubi8/ubi, needed, with --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM registry.access.redhat.com/ubi8/ubi
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: registry.access.redhat.com/ubi8/ubi, needed, with --force, preprep: no preprep command

@test "ch-image --force: fedora:26, unneeded fail, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM fedora:26
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: fedora"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: fedora:26, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: fedora:26, unneeded fail, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM fedora:26
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: fedora"

}

# skip: fedora:26, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: fedora:26, unneeded win, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM fedora:26
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: fedora"

}

# skip: fedora:26, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: fedora:26, unneeded win, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM fedora:26
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: fedora"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: fedora:26, unneeded win, with --force, preprep: not needed

@test "ch-image --force: fedora:26, fake needed, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM fedora:26
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: fedora"
echo "$output" | grep -Eq -- "RUN: available here with --force"

}

# skip: fedora:26, fake needed, w/o --force, preprep: not needed

@test "ch-image --force: fedora:26, fake needed, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM fedora:26
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: fedora"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: fedora:26, fake needed, with --force, preprep: not needed

@test "ch-image --force: fedora:26, needed, w/o --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM fedora:26
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: fedora"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: fedora:26, needed, w/o --force, preprep: not needed

@test "ch-image --force: fedora:26, needed, with --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM fedora:26
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: fedora"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: fedora:26, needed, with --force, preprep: no preprep command

@test "ch-image --force: fedora:latest, unneeded fail, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM fedora:latest
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: fedora"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: fedora:latest, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: fedora:latest, unneeded fail, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM fedora:latest
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: fedora"

}

# skip: fedora:latest, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: fedora:latest, unneeded win, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM fedora:latest
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: fedora"

}

# skip: fedora:latest, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: fedora:latest, unneeded win, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM fedora:latest
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: fedora"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: fedora:latest, unneeded win, with --force, preprep: not needed

@test "ch-image --force: fedora:latest, fake needed, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM fedora:latest
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: fedora"
echo "$output" | grep -Eq -- "RUN: available here with --force"

}

# skip: fedora:latest, fake needed, w/o --force, preprep: not needed

@test "ch-image --force: fedora:latest, fake needed, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM fedora:latest
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: fedora"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: fedora:latest, fake needed, with --force, preprep: not needed

@test "ch-image --force: fedora:latest, needed, w/o --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM fedora:latest
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: fedora"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: fedora:latest, needed, w/o --force, preprep: not needed

@test "ch-image --force: fedora:latest, needed, with --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM fedora:latest
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: fedora"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: fedora:latest, needed, with --force, preprep: no preprep command

@test "ch-image --force: debian:stretch, unneeded fail, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM debian:stretch
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: debian:stretch, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: debian:stretch, unneeded fail, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM debian:stretch
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"

}

# skip: debian:stretch, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: debian:stretch, unneeded win, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM debian:stretch
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"

}

# skip: debian:stretch, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: debian:stretch, unneeded win, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM debian:stretch
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: debian:stretch, unneeded win, with --force, preprep: not needed

# skip: debian:stretch, fake needed, w/o --force, no preprep: no run command

# skip: debian:stretch, fake needed, w/o --force, preprep: not needed

# skip: debian:stretch, fake needed, with --force, no preprep: no run command

# skip: debian:stretch, fake needed, with --force, preprep: not needed

@test "ch-image --force: debian:stretch, needed, w/o --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM debian:stretch
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: debian:stretch, needed, w/o --force, preprep: not needed

@test "ch-image --force: debian:stretch, needed, with --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM debian:stretch
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: debian:stretch, needed, with --force, preprep: no preprep command

@test "ch-image --force: debian:bullseye, unneeded fail, w/o --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM debian:bullseye
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: debian:bullseye, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: debian:bullseye, unneeded fail, with --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM debian:bullseye
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"

}

# skip: debian:bullseye, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: debian:bullseye, unneeded win, w/o --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM debian:bullseye
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"

}

# skip: debian:bullseye, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: debian:bullseye, unneeded win, with --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM debian:bullseye
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: debian:bullseye, unneeded win, with --force, preprep: not needed

# skip: debian:bullseye, fake needed, w/o --force, no preprep: no run command

# skip: debian:bullseye, fake needed, w/o --force, preprep: not needed

# skip: debian:bullseye, fake needed, with --force, no preprep: no run command

# skip: debian:bullseye, fake needed, with --force, preprep: not needed

@test "ch-image --force: debian:bullseye, needed, w/o --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM debian:bullseye
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: debian:bullseye, needed, w/o --force, preprep: not needed

@test "ch-image --force: debian:bullseye, needed, with --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM debian:bullseye
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: debian:bullseye, needed, with --force, preprep: no preprep command

@test "ch-image --force: ubuntu:xenial, unneeded fail, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:xenial
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: ubuntu:xenial, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: ubuntu:xenial, unneeded fail, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:xenial
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"

}

# skip: ubuntu:xenial, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: ubuntu:xenial, unneeded win, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:xenial
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"

}

# skip: ubuntu:xenial, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: ubuntu:xenial, unneeded win, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:xenial
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: ubuntu:xenial, unneeded win, with --force, preprep: not needed

# skip: ubuntu:xenial, fake needed, w/o --force, no preprep: no run command

# skip: ubuntu:xenial, fake needed, w/o --force, preprep: not needed

# skip: ubuntu:xenial, fake needed, with --force, no preprep: no run command

# skip: ubuntu:xenial, fake needed, with --force, preprep: not needed

@test "ch-image --force: ubuntu:xenial, needed, w/o --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:xenial
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: ubuntu:xenial, needed, w/o --force, preprep: not needed

@test "ch-image --force: ubuntu:xenial, needed, with --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:xenial
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: ubuntu:xenial, needed, with --force, preprep: no preprep command

@test "ch-image --force: ubuntu:bionic, unneeded fail, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:bionic
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: ubuntu:bionic, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: ubuntu:bionic, unneeded fail, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:bionic
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"

}

# skip: ubuntu:bionic, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: ubuntu:bionic, unneeded win, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:bionic
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"

}

# skip: ubuntu:bionic, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: ubuntu:bionic, unneeded win, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:bionic
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: ubuntu:bionic, unneeded win, with --force, preprep: not needed

# skip: ubuntu:bionic, fake needed, w/o --force, no preprep: no run command

# skip: ubuntu:bionic, fake needed, w/o --force, preprep: not needed

# skip: ubuntu:bionic, fake needed, with --force, no preprep: no run command

# skip: ubuntu:bionic, fake needed, with --force, preprep: not needed

@test "ch-image --force: ubuntu:bionic, needed, w/o --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:bionic
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: ubuntu:bionic, needed, w/o --force, preprep: not needed

@test "ch-image --force: ubuntu:bionic, needed, with --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:bionic
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: ubuntu:bionic, needed, with --force, preprep: no preprep command

@test "ch-image --force: ubuntu:focal, unneeded fail, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:focal
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: ubuntu:focal, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: ubuntu:focal, unneeded fail, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:focal
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"

}

# skip: ubuntu:focal, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: ubuntu:focal, unneeded win, w/o --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:focal
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"

}

# skip: ubuntu:focal, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: ubuntu:focal, unneeded win, with --force, no preprep" {
scope full

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:focal
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: ubuntu:focal, unneeded win, with --force, preprep: not needed

# skip: ubuntu:focal, fake needed, w/o --force, no preprep: no run command

# skip: ubuntu:focal, fake needed, w/o --force, preprep: not needed

# skip: ubuntu:focal, fake needed, with --force, no preprep: no run command

# skip: ubuntu:focal, fake needed, with --force, preprep: not needed

@test "ch-image --force: ubuntu:focal, needed, w/o --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:focal
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: ubuntu:focal, needed, w/o --force, preprep: not needed

@test "ch-image --force: ubuntu:focal, needed, with --force, no preprep" {
scope standard

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:focal
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: ubuntu:focal, needed, with --force, preprep: no preprep command
